#ifndef SCNEDIT_H
#define SCNEDIT_H

#include <gtk/gtk.h>
#include "editor.h"
#include "options.h"


/*
 *	DDE structure:
 */
typedef struct {

	gpointer	core_ptr;
	gint		editor_num;	/* Editor number (can be -1). */

	gpointer	*object;
	gint		total_objects;

} se_dde_struct;

#define SE_DDE(p)	((se_dde_struct *)(p))


/*
 *	Core structure:
 */
typedef struct {

	editor_struct	*editor;
	options_struct	*options;
	gboolean	close_all_windows;
	guint		toid;
	GdkCursor	*cursor_busy,
			*cursor_text,
			*cursor_translate,
			*cursor_zoom,
			*cursor_rect_select;

	se_dde_struct	*dde;
	gchar		*cwd;

} se_core_struct;

#define SE_CORE(p)	((se_core_struct *)(p))


extern se_dde_struct *SEDDENew(gpointer core_ptr, gint editor_num);
extern void SEDDEObjectAdd(se_dde_struct *dde, gpointer obj);
extern void SEDDEDelete(se_dde_struct *dde);


#endif	/* SCNEDIT_H */
