/*
                                 Status Bar
 */

#ifndef STATUSBAR_H
#define STATUSBAR_H

#include <gtk/gtk.h>


/*
 *	Status bar structure:
 */
typedef struct {

	GtkWidget	*toplevel,
			*progress_bar,
			*label;
	gfloat		progress_pos_last;

} status_bar_struct;

#define STATUS_BAR(p)		((status_bar_struct *)(p))


extern status_bar_struct *StatusBarNew(GtkWidget *parent);
extern void StatusBarUpdateMenus(status_bar_struct *sb);
extern void StatusBarMap(status_bar_struct *sb);
extern void StatusBarUnmap(status_bar_struct *sb);
extern void StatusBarDelete(status_bar_struct *sb);

extern void StatusBarMessage(
	status_bar_struct *sb, const gchar *message,
	gboolean allow_gtk_iteration
);
extern void StatusBarProgress(
	status_bar_struct *sb, gfloat percent,
	gboolean allow_gtk_iteration
);


#endif	/* STATUSBAR_H */
